############ /etc/nginx/nginx.conf ####################

user www-data;
worker_processes  1;

error_log  /var/log/nginx/error.log;
pid        /var/run/nginx.pid;

events {
    worker_connections  1024;
}

http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    access_log	/var/log/nginx/access.log;

    sendfile        on;
    #tcp_nopush     on;

    #keepalive_timeout  0;
    keepalive_timeout  65;
    tcp_nodelay        on;

    gzip  on;

    client_max_body_size 10M; 
    client_body_buffer_size 128k;

    include /etc/nginx/sites-enabled/*;
}
######################################################

################### /etc/nginx/sites-available/default ##############

# You may add here your
# server {
#	...
# }
# statements for each of your virtual hosts

server {
	listen   80;
	server_name  localhost;

	access_log  /var/log/nginx/localhost.access.log;

	location / {
		root   /var/www/nginx-default;
		#root    /home/raj/www/apps/HMDS/trunk/static;
		index  index.html index.htm;
        ssi    on;
	}

    # serve static files
    location ~ ^/(images|image_server|js|css|docs|speller)/  {
        root    /home/raj/apps/HILIS4/trunk/static;
        expires 30d;
    }
    
    # pass requests for dynamic content to rails/turbogears/zope, et al
    location /hmds { # /lims /hilis4 etc
        proxy_pass       http://127.0.0.1:81;
	    proxy_set_header Host            $host;
        proxy_set_header X-Real-IP       $remote_addr;
	    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

    location /script {
        proxy_pass http://127.0.0.1:81;
    }
    
 	# /cgi-bin configuration - proxy-pass to Apache:
	location ~ ^/cgi-bin/.*\.cgi$ {
  		#gzip off;
  		#fastcgi_pass  unix:/var/run/nginx/perl_cgi-dispatch.sock;
  		#fastcgi_param SCRIPT_FILENAME /home/raj/www$fastcgi_script_name;
  		#include /etc/nginx/fastcgi_params;
        proxy_pass      http://127.0.0.1:81;
        proxy_set_header X-Real-IP  $remote_addr;
        proxy_set_header Host $host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	}


	#error_page  404  /404.html;

	# redirect server error pages to the static page /50x.html
	#
	error_page   500 502 503 504  /50x.html;
	location = /50x.html {
		root   /var/www/nginx-default;
	}

	# proxy the PHP scripts to Apache listening on 127.0.0.1:80
	#
	#location ~ \.php$ {
		#proxy_pass   http://127.0.0.1;
	#}

	# pass the PHP scripts to FastCGI server listening on 127.0.0.1:9000
	#
	#location ~ \.php$ {
		#fastcgi_pass   127.0.0.1:9000;
		#fastcgi_index  index.php;
		#fastcgi_param  SCRIPT_FILENAME  /scripts$fastcgi_script_name;
		#includefastcgi_params;
	#}

	# deny access to .htaccess files, if Apache's document root
	# concurs with nginx's one
	#
	#location ~ /\.ht {
		#deny  all;
	#}
}


# another virtual host using mix of IP-, name-, and port-based configuration
#
#server {
#listen   8000;
#listen   somename:8080;
#server_name  somename  alias  another.alias;

#location / {
#root   html;
#index  index.html index.htm;
#}
#}


# HTTPS server
#
#server {
#listen   443;
#server_name  localhost;

#ssl  on;
#ssl_certificate  cert.pem;
#ssl_certificate_key  cert.key;

#ssl_session_timeout  5m;

#ssl_protocols  SSLv2 SSLv3 TLSv1;
#ssl_ciphers  ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP;
#ssl_prefer_server_ciphers   on;

#location / {
#root   html;
#index  index.html index.htm;
#}
#}
